Skip to main content
GET
/
v1
/
verification
/
gstin
/
track-gstr
Track Gst Return Status
curl --request GET \
  --url https://production.deepvue.tech/v1/verification/gstin/track-gstr \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>'
{
  "code": 200,
  "timestamp": 1738051954177,
  "transaction_id": "09d1a4fd-be05-44f4-a4b6-6c14cf375d1f",
  "sub_code": "SUCCESS",
  "message": "GSTR Status Fetched Successfully.",
  "data": {
    "gstin": "29AAACT2727Q1ZS",
    "filing_status": [
      {
        "return_type": "GSTR1",
        "financial_year": "2024-2025",
        "tax_period": "December",
        "date_of_filing": "2025-01-11",
        "status": "Filed",
        "mode_of_filing": "ONLINE"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

x-api-key
string
header
required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

Query Parameters

gstin_number
string
required

A required query parameter that represents the 15-character alpha-numeric unique identifier assigned to business entities registering under the GST regime.

financial_year
string
required

A required query parameter that specifies the financial year in the format e.g. FY 2019-20.

Response

Successful Response

code
integer
default:200
timestamp
integer
transaction_id
string
sub_code
string
default:SUCCESS
message
string
default:GSTR Status Fetched Successfully.
data
Data · object